List Contact Lists
List the contact lists in the workspace.
Requires the contact_lists:read scope on the API key.
GET
/
v1
/
contact-lists
List Contact Lists
curl --request GET \
--url https://api.topo.io/v1/contact-lists \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/contact-lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/contact-lists"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"default_sequence_template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entries_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"default_sequence_template": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}
],
"total_count": 123,
"total_pages": 123,
"has_more": true
}Authorizations
Bearer API key issued from Settings → Developers.
Query Parameters
Page number.
Required range:
x >= 1Number of items per page.
Required range:
1 <= x <= 100Field to sort by.
Available options:
created_at, updated_at, name Sort direction.
Available options:
asc, desc Filter by list name (exact match).
Return lists created strictly before this timestamp.
Return lists created strictly after this timestamp.
Response
200 - application/json
Successful Response
Records on this page.
Hide child attributes
Hide child attributes
Unique identifier.
Name of the list.
Default sequence template for new entries.
Current number of entries in the list.
When the list was created.
When the list last changed.
Total number of records matching the query.
Total number of pages.
Whether more pages remain after the current one.
Was this page helpful?
⌘I
List Contact Lists
curl --request GET \
--url https://api.topo.io/v1/contact-lists \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/contact-lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/contact-lists"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"default_sequence_template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entries_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"default_sequence_template": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}
],
"total_count": 123,
"total_pages": 123,
"has_more": true
}